ChainedMapper (Apache Ant API)
Keywords: org.apache.tools.ant.util.ChainedMapper,ChainedMapper class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util
Class ChainedMapper

    java.lang.Object
      |
      +--org.apache.tools.ant.util.ContainerMapper
            |
            +--org.apache.tools.ant.util.ChainedMapper

All Implemented Interfaces:
  FileNameMapper

public class ChainedMapper
extends ContainerMapper

A `ContainerMapper` that chains the results of the first nested `FileNameMapper`s into sourcefiles for the second, the second to the third, and so on, returning the resulting mapped filenames from the last nested `FileNameMapper`.

Constructor Summary
`ChainedMapper()`

Method Summary
`java.lang.String[]` | `mapFileName(java.lang.String sourceFileName)` Returns an array containing the target filename(s) for the given source file.

Methods inherited from class org.apache.tools.ant.util.ContainerMapper
`add, addConfiguredMapper, contains, getMappers, setFrom, setTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChainedMapper

    public ChainedMapper()

Method Detail

### mapFileName

    public java.lang.String[] mapFileName(java.lang.String sourceFileName)

  Description copied from interface: `FileNameMapper`
  Returns an array containing the target filename(s) for the given source file.

  if the given rule doesn't apply to the source file, implementation must return null. SourceFileScanner will then omit the source file in question.

  Parameters:
    `sourceFileName` - the name of the source file relative to some given basedirectory.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.